%Read Record: cdb/08730_01 (10 s sample.) from
%http://physionet.org/cgi-bin/ATM
%Author: Sandra Escandor, 2010
%Note: plotATM function from http://physionet.org/cgi-bin/ATM
%We want to place the ECG signal sample into a text file, so the
%RRDetectionTest.m can read it.
clc;
clear;
%Note: In order to specify which data we want, use the third parameter
%      in plotATM (I added this parameter). So, data 1 => enter 1 as parameter.
%      Correspondingly, data 2 => enter 2 as parameter.
ECGSample = plotATM('08730_01m.mat', '08730_01m.info', 1)


[nrows ncols] = size(ECGSample);


%open the file with write permission
fid = fopen('PhysioNetData_ECG.txt', 'w');
for i=1:nrows
    fprintf(fid, '%3.3f \n', ECGSample(i));
end
fclose(fid);

%view the contents of the file
type PhysioNetData_ECG.txt

